# Created by pyp2rpm-3.3.2
%global pypi_name pysol-cards
%global srcname pysol_cards

Name:           python-%{pypi_name}
Version:        0.18.1
Release:        %mkrel 2
Summary:        Deal PySol FC Cards
Group:          Development/Python
License:        MIT
URL:            https://fc-solve.shlomifish.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The pysol-cards python modules allow the python developer to generate the
initial deals of some PySol FC games.

%package -n     python3-%{pypi_name}
Summary:        Deal PySol FC Cards
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The pysol-cards python modules allow the python developer to generate the
initial deals of some PySol FC games.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pysol_cards

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Mar 07 2025 neoclust <neoclust> 0.18.1-2.mga10
+ Revision: 2161271
- Rebuild against new python 3.13

* Sat Mar 01 2025 wally <wally> 0.18.1-1.mga10
+ Revision: 2154590
- new version 0.18.1
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 0.16.0-1.mga10
+ Revision: 2077780
- new version 0.16.0

* Fri Dec 29 2023 tv <tv> 0.14.3-2.mga10
+ Revision: 2023483
- Rebuild for python-3.12

* Fri Dec 08 2023 papoteur <papoteur> 0.14.3-1.mga10
+ Revision: 2015845
- new 0.14.3
- new 0.14.3

* Tue Mar 29 2022 umeabot <umeabot> 0.14.2-3.mga9
+ Revision: 1832687
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.14.2-2.mga9
+ Revision: 1775675
- rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 0.14.2-1.mga9
+ Revision: 1771295
- version 0.14.2

* Tue Aug 31 2021 wally <wally> 0.10.2-1.mga9
+ Revision: 1743822
- new version 0.10.2

* Sun Mar 21 2021 daviddavid <daviddavid> 0.10.1-2.mga9
+ Revision: 1706378
- rebuild for python 3.9

* Sun Jun 14 2020 shlomif <shlomif> 0.10.1-1.mga8
+ Revision: 1593276
- New version 0.10.1

* Wed Jun 03 2020 cheeseeboi <cheeseeboi> 0.8.18-1.mga8
+ Revision: 1590180
- Updated to version 0.8.18

* Mon Apr 20 2020 shlomif <shlomif> 0.8.9-1.mga8
+ Revision: 1570065
- New version 0.8.9

* Sun Mar 08 2020 shlomif <shlomif> 0.8.8-1.mga8
+ Revision: 1554860
- New version 0.8.8

* Fri Feb 21 2020 umeabot <umeabot> 0.8.7-3.mga8
+ Revision: 1547790
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.8.7-2.mga8
+ Revision: 1488378
- remove unused dep

* Sun Dec 22 2019 shlomif <shlomif> 0.8.7-1.mga8
+ Revision: 1469476
- New version 0.8.7

* Wed Oct 16 2019 daviddavid <daviddavid> 0.8.6-2.mga8
+ Revision: 1453981
- rebuild for python3.8

* Tue Sep 10 2019 shlomif <shlomif> 0.8.6-1.mga8
+ Revision: 1439474
- New version 0.8.6

* Mon Jul 29 2019 shlomif <shlomif> 0.8.4-1.mga8
+ Revision: 1424820
- New version 0.8.4

* Fri Jul 26 2019 shlomif <shlomif> 0.8.3-1.mga8
+ Revision: 1424389
- New version 0.8.3

* Thu Jul 18 2019 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1422611
- New version 0.8.0

* Sat Jun 15 2019 shlomif <shlomif> 0.6.2-1.mga8
+ Revision: 1399955
- New version 0.6.2

* Wed Jun 05 2019 shlomif <shlomif> 0.6.1-1.mga7
+ Revision: 1399583
- New version 0.6.1

* Thu May 23 2019 shlomif <shlomif> 0.4.3-1.mga7
+ Revision: 1398970
- New version 0.4.3 with fixes

* Thu May 23 2019 shlomif <shlomif> 0.4.1-3.mga7
+ Revision: 1398954
- Fix grammar

* Mon Mar 18 2019 shlomif <shlomif> 0.4.1-2.mga7
+ Revision: 1378513
- fix build and descriptions

* Sat Feb 16 2019 shlomif <shlomif> 0.4.1-1.mga7
+ Revision: 1367599
- fix the build
- pyp2rpm

